import { FieldInfo } from 'model-util-base'
import { ConditionUtil, ConditionUtilImpl, FieldUtil, TableUtilImpl, IdType, JoinTable, SubTable } from 'model-util'
import { Container, Singleton } from 'typescript-ioc' 
import { AbnormalOutInModel } from '../models/index' 
/**
 * @author auto generate
 * @version 1.1
 * @date 2021-04-28 16:45
 */
interface AbnormalOutInModelCU extends ConditionUtil<AbnormalOutInModelCU>{
    ID:FieldUtil<AbnormalOutInModelCU>;
    TAPDID:FieldUtil<AbnormalOutInModelCU>;
    PARKID:FieldUtil<AbnormalOutInModelCU>;
    STATUS:FieldUtil<AbnormalOutInModelCU>;
    DATA:FieldUtil<AbnormalOutInModelCU>;
    CREATETIME:FieldUtil<AbnormalOutInModelCU>;
}

class AbnormalOutInModelCUImpl extends ConditionUtilImpl<AbnormalOutInModelCUImpl> implements AbnormalOutInModelCU{ 
    newInstance(): AbnormalOutInModelCUImpl {
        return new AbnormalOutInModelCUImpl();
    } 
    get ID(): FieldUtil<AbnormalOutInModelCU>{  
        return new FieldUtil('ID','id','主键', this);
    }
    get TAPDID(): FieldUtil<AbnormalOutInModelCU>{  
        return new FieldUtil('TAPDID','tapdid','', this);
    }
    get PARKID(): FieldUtil<AbnormalOutInModelCU>{  
        return new FieldUtil('PARKID','parkid','', this);
    }
    get STATUS(): FieldUtil<AbnormalOutInModelCU>{  
        return new FieldUtil('STATUS','status','', this);
    }
    get DATA(): FieldUtil<AbnormalOutInModelCU>{  
        return new FieldUtil('DATA','data','', this);
    }
    get CREATETIME(): FieldUtil<AbnormalOutInModelCU>{  
        return new FieldUtil('CREATETIME','createtime','', this);
    }
}

@Singleton 
class AbnormalOutInModelMU extends TableUtilImpl<AbnormalOutInModelCU,AbnormalOutInModel>{ 
    tableName  = 'abnormal_out_in_model';
    tableFields  = ['id','tapdId','parkId','status','data','createTime'];
    modelFields  = ['id','tapdid','parkid','status','data','createtime'];
    modelIdFields  = ['id'];
    tableIdFields  = ['id'];
    idType = IdType.CUSTOM;
    joinTables = [];
    subTables = [];

    createConditionUtil(): AbnormalOutInModelCU {
        return new AbnormalOutInModelCUImpl();
    }   

    static get ID(): FieldUtil<AbnormalOutInModelCU>{ 
        return new FieldUtil('ID','id','主键', new AbnormalOutInModelCUImpl());
    }
    static get TAPDID(): FieldUtil<AbnormalOutInModelCU>{ 
        return new FieldUtil('TAPDID','tapdid','', new AbnormalOutInModelCUImpl());
    }
    static get PARKID(): FieldUtil<AbnormalOutInModelCU>{ 
        return new FieldUtil('PARKID','parkid','', new AbnormalOutInModelCUImpl());
    }
    static get STATUS(): FieldUtil<AbnormalOutInModelCU>{ 
        return new FieldUtil('STATUS','status','', new AbnormalOutInModelCUImpl());
    }
    static get DATA(): FieldUtil<AbnormalOutInModelCU>{ 
        return new FieldUtil('DATA','data','', new AbnormalOutInModelCUImpl());
    }
    static get CREATETIME(): FieldUtil<AbnormalOutInModelCU>{ 
        return new FieldUtil('CREATETIME','createtime','', new AbnormalOutInModelCUImpl());
    }

    get ID(): FieldUtil<AbnormalOutInModelCU>{ 
        return AbnormalOutInModelMU.ID;
    }
    get TAPDID(): FieldUtil<AbnormalOutInModelCU>{ 
        return AbnormalOutInModelMU.TAPDID;
    }
    get PARKID(): FieldUtil<AbnormalOutInModelCU>{ 
        return AbnormalOutInModelMU.PARKID;
    }
    get STATUS(): FieldUtil<AbnormalOutInModelCU>{ 
        return AbnormalOutInModelMU.STATUS;
    }
    get DATA(): FieldUtil<AbnormalOutInModelCU>{ 
        return AbnormalOutInModelMU.DATA;
    }
    get CREATETIME(): FieldUtil<AbnormalOutInModelCU>{ 
        return AbnormalOutInModelMU.CREATETIME;
    }
}
export {AbnormalOutInModelMU, AbnormalOutInModelCU}
